## org.eclipse.emf.edit.ui.action
Class ControlAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.emf.edit.ui.action.CommandActionHandler
                          org.eclipse.emf.edit.ui.action.ControlAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class ControlAction

extends CommandActionHandler

A control action moves a contained object into a new resource or restores it to its containers' resource. It is implemented by creating a `AddCommand` or `RemoveCommand`.

Since:
  2.2.0

Nested Class Summary
`protected static class` `ControlAction.ControlResourceDialog` A save-type `resource dialog` that attempts to create the specified resource and load it, if it already exists.
`protected class` `ControlAction.SelfAffectingCommand`

Field Summary
`protected EObject` `eObject`
`protected IStructuredSelection` `selection`

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandActionHandler
`command, domain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ControlAction()`
`ControlAction(EditingDomain domain)`

Method Summary
`protected Resource` `getResource()`
`void` `run()` This simply execute the command.
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)`
`boolean` `updateSelection(IStructuredSelection selection)` When the selection changes, this will call `CommandActionHandler.createCommand(java.util.Collection<?>)` with the appopriate collection of selected objects.

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandActionHandler
`createCommand, getEditingDomain, setEditingDomain`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### selection

    protected IStructuredSelection selection

### eObject

    protected EObject eObject

Constructor Detail

### ControlAction

    public ControlAction(EditingDomain domain)

### ControlAction

    public ControlAction()

Method Detail

### updateSelection

    public boolean updateSelection(IStructuredSelection selection)

  Description copied from class: `CommandActionHandler`
  When the selection changes, this will call `CommandActionHandler.createCommand(java.util.Collection<?>)` with the appopriate collection of selected objects.

  Overrides:
    `updateSelection` in class `CommandActionHandler`

### run

    public void run()

  Description copied from class: `CommandActionHandler`
  This simply execute the command.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `CommandActionHandler`

### getResource

    protected Resource getResource()

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.